<?php
	
	$digitalx_agencies_tp_theme_css = '';

	// 1st color
	$digitalx_agencies_tp_color_option_first = get_theme_mod('digitalx_agencies_tp_color_option_first', '#B9FB74');
	if ($digitalx_agencies_tp_color_option_first) {
		$digitalx_agencies_tp_theme_css .= ':root {';
		$digitalx_agencies_tp_theme_css .= '--color-primary1: ' . esc_attr($digitalx_agencies_tp_color_option_first) . ';';
		$digitalx_agencies_tp_theme_css .= '}';
	}

	// 2nd color
	$digitalx_agencies_tp_color_option_second = get_theme_mod('digitalx_agencies_tp_color_option_second', '#E5FFCB');
	if ($digitalx_agencies_tp_color_option_second) {
		$digitalx_agencies_tp_theme_css .= ':root {';
		$digitalx_agencies_tp_theme_css .= '--color-primary3: ' . esc_attr($digitalx_agencies_tp_color_option_second) . ';';
		$digitalx_agencies_tp_theme_css .= '}';
	}

	// 3rd color
	$digitalx_agencies_tp_color_option_third = get_theme_mod('digitalx_agencies_tp_color_option_third', '#C2FF83');
	if ($digitalx_agencies_tp_color_option_third) {
		$digitalx_agencies_tp_theme_css .= ':root {';
		$digitalx_agencies_tp_theme_css .= '--color-primary4: ' . esc_attr($digitalx_agencies_tp_color_option_third) . ';';
		$digitalx_agencies_tp_theme_css .= '}';
	}

	// 5th color
	$digitalx_agencies_tp_color_option_fifth = get_theme_mod('digitalx_agencies_tp_color_option_fifth', '#6A47ED');
	if ($digitalx_agencies_tp_color_option_fifth) {
		$digitalx_agencies_tp_theme_css .= ':root {';
		$digitalx_agencies_tp_theme_css .= '--color-primary6: ' . esc_attr($digitalx_agencies_tp_color_option_fifth) . ';';
		$digitalx_agencies_tp_theme_css .= '}';
	}

	// preloader
	$digitalx_agencies_tp_preloader_color1_option = get_theme_mod('digitalx_agencies_tp_preloader_color1_option');
	if($digitalx_agencies_tp_preloader_color1_option != false){
	$digitalx_agencies_tp_theme_css .='.center1{';
		$digitalx_agencies_tp_theme_css .='border-color: '.esc_attr($digitalx_agencies_tp_preloader_color1_option).' !important;';
	$digitalx_agencies_tp_theme_css .='}';
	}
	if($digitalx_agencies_tp_preloader_color1_option != false){
	$digitalx_agencies_tp_theme_css .='.center1 .ring::before{';
		$digitalx_agencies_tp_theme_css .='background: '.esc_attr($digitalx_agencies_tp_preloader_color1_option).' !important;';
	$digitalx_agencies_tp_theme_css .='}';
	}

	$digitalx_agencies_tp_preloader_color2_option = get_theme_mod('digitalx_agencies_tp_preloader_color2_option');

	if($digitalx_agencies_tp_preloader_color2_option != false){
	$digitalx_agencies_tp_theme_css .='.center2{';
		$digitalx_agencies_tp_theme_css .='border-color: '.esc_attr($digitalx_agencies_tp_preloader_color2_option).' !important;';
	$digitalx_agencies_tp_theme_css .='}';
	}
	if($digitalx_agencies_tp_preloader_color2_option != false){
	$digitalx_agencies_tp_theme_css .='.center2 .ring::before{';
		$digitalx_agencies_tp_theme_css .='background: '.esc_attr($digitalx_agencies_tp_preloader_color2_option).' !important;';
	$digitalx_agencies_tp_theme_css .='}';
	}

	$digitalx_agencies_tp_preloader_bg_color_option = get_theme_mod('digitalx_agencies_tp_preloader_bg_color_option');

	if($digitalx_agencies_tp_preloader_bg_color_option != false){
	$digitalx_agencies_tp_theme_css .='.loader{';
		$digitalx_agencies_tp_theme_css .='background: '.esc_attr($digitalx_agencies_tp_preloader_bg_color_option).';';
	$digitalx_agencies_tp_theme_css .='}';
	}

	$digitalx_agencies_tp_footer_bg_color_option = get_theme_mod('digitalx_agencies_tp_footer_bg_color_option');


	if($digitalx_agencies_tp_footer_bg_color_option != false){
	$digitalx_agencies_tp_theme_css .='#footer{';
		$digitalx_agencies_tp_theme_css .='background: '.esc_attr($digitalx_agencies_tp_footer_bg_color_option).';';
	$digitalx_agencies_tp_theme_css .='}';
	}

	// logo tagline color
	$digitalx_agencies_site_tagline_color = get_theme_mod('digitalx_agencies_site_tagline_color');

	if($digitalx_agencies_site_tagline_color != false){
	$digitalx_agencies_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$digitalx_agencies_tp_theme_css .='color: '.esc_attr($digitalx_agencies_site_tagline_color).';';
	$digitalx_agencies_tp_theme_css .='}';
	}

	$digitalx_agencies_logo_tagline_color = get_theme_mod('digitalx_agencies_logo_tagline_color');
	if($digitalx_agencies_logo_tagline_color != false){
	$digitalx_agencies_tp_theme_css .='p.site-description{';
	$digitalx_agencies_tp_theme_css .='color: '.esc_attr($digitalx_agencies_logo_tagline_color).';';
	$digitalx_agencies_tp_theme_css .='}';
	}

	// footer widget title color
	$digitalx_agencies_footer_widget_title_color = get_theme_mod('digitalx_agencies_footer_widget_title_color');
	if($digitalx_agencies_footer_widget_title_color != false){
	$digitalx_agencies_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$digitalx_agencies_tp_theme_css .='color: '.esc_attr($digitalx_agencies_footer_widget_title_color).';';
	$digitalx_agencies_tp_theme_css .='}';
	}

	// copyright text color
	$digitalx_agencies_footer_copyright_text_color = get_theme_mod('digitalx_agencies_footer_copyright_text_color');
	if($digitalx_agencies_footer_copyright_text_color != false){
	$digitalx_agencies_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$digitalx_agencies_tp_theme_css .='color: '.esc_attr($digitalx_agencies_footer_copyright_text_color).'!important;';
	$digitalx_agencies_tp_theme_css .='}';
	}

	// header image title color
	$digitalx_agencies_header_image_title_text_color = get_theme_mod('digitalx_agencies_header_image_title_text_color');
	if($digitalx_agencies_header_image_title_text_color != false){
	$digitalx_agencies_tp_theme_css .='.box-text h2{';
	$digitalx_agencies_tp_theme_css .='color: '.esc_attr($digitalx_agencies_header_image_title_text_color).';';
	$digitalx_agencies_tp_theme_css .='}';
	}

	// menu color
	$digitalx_agencies_menu_color = get_theme_mod('digitalx_agencies_menu_color');
	if($digitalx_agencies_menu_color != false){
	$digitalx_agencies_tp_theme_css .='.main-navigation a{';
	$digitalx_agencies_tp_theme_css .='color: '.esc_attr($digitalx_agencies_menu_color).';';
	$digitalx_agencies_tp_theme_css .='}';
}